import React from 'react'
import { View } from '@tarojs/components'
import Star from '@/components/Star'
import './style.less'

export default (props) => {
  const { star } = props

  const enableStar = star !== undefined && star !== null

  return (
    <View className='coupun-media_body'>
      {enableStar && <Star score={(star).toFixed(1)} style={{ marginTop: '26rpx' }} />}      
      <View className='coupun-media_body_ctt'>
        {props.children}
      </View>
    </View>
  )
}
